Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui.util
Class ConfigureListWidget.TableColumnPropertyLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.LabelProvider
              semorg.gui.util.ConfigureListWidget.TableColumnPropertyLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

Enclosing class:
  ConfigureListWidget

     class ConfigureListWidget.TableColumnPropertyLabelProvider

extends org.eclipse.jface.viewers.LabelProvider

The class provides the labels for GUI table columns.

Constructor Summary
`ConfigureListWidget.TableColumnPropertyLabelProvider()`

Method Summary
`String` | `getText(Object element)` Casts a given element to `TableColumnProperty` and returns its text.

Methods inherited from class org.eclipse.jface.viewers.LabelProvider
`addListener, dispose, fireLabelProviderChanged, getImage, isLabelProperty, removeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigureListWidget.TableColumnPropertyLabelProvider

    ConfigureListWidget.TableColumnPropertyLabelProvider()

Method Detail

### getText

    public String getText(Object element)

  Casts a given element to `TableColumnProperty` and returns its text.

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getText` in class `org.eclipse.jface.viewers.LabelProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD